Subject: bug#26497: glibc 2.25 broken on i686

From: [email-masked] (Ludovic Courtès)
Date: Sun, 23 Apr 2017 15:58:41 +0200

Ricardo Wurmus <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Ricardo Wurmus <[email-masked]> skribis:
>>
>>> Guix on i686 is broken since the update to glibc 2.25.  There are
>>> seemingly random segfaults all over the place on my server.
>>>
>>> Ludo posted this upstream discussion:
>>>
>>>     https://sourceware.org/bugzilla/show_bug.cgi?id=21182
>>
>> Perhaps we don’t see the problem when running i686 code on x86_64.
>>
>>> I could test the patch on my i686 system, but it would take much too
>>> long for me to build the system from source on my machines.
>>
>> Could you first check if there’s a simple way to reproduce it on your
>> machine?  For example, run “guix build coreutils” or “guix build
>> coreutils --check” and see if that fails.
>>
>> If it does, you could arrange to test the patch just in this setup.
>
> Do you mean apply the patch and build on i686 or apply the patch and
> build with “--system” on my x86_64 system?
>
> On the i686 system I cannot run anything with the latest glibc, so
> building there will likely fail unless the bug is fixed.

What I mean is that if you could test the patch in any way you like ;-)
and ensure that it fixes the problem, it would be great.

Then we soon apply the patch conditionally on glibc (like I did for the
Coreutils patch for ARM) ASAP so that Hydra has time to rebuild the i686
world.

TIA! :-)

Ludo’.